Bug 220318 - WebKit IPC builtin messages should be part of the model
Summary: WebKit IPC builtin messages should be part of the model
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on: 220236
Blocks: webglgpup 220319
  Show dependency treegraph
 
Reported: 2021-01-05 03:19 PST by Kimmo Kinnunen
Modified: 2021-01-07 09:05 PST (History)
3 users (show)

See Also:


Attachments
Patch (37.16 KB, patch)
2021-01-05 03:23 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (37.17 KB, patch)
2021-01-05 04:38 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff
Patch (81.02 KB, patch)
2021-01-07 01:52 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2021-01-05 03:19:03 PST
WebKit IPC builtin messages should be part of the model

This way the generator can operate on all the messages, not just all non-builtin messages
Comment 1 Kimmo Kinnunen 2021-01-05 03:23:53 PST
Created attachment 416987 [details]
Patch
Comment 2 Kimmo Kinnunen 2021-01-05 04:38:43 PST
Created attachment 416991 [details]
Patch
Comment 3 Chris Dumez 2021-01-06 07:31:38 PST
This seems to be failing the tests.
Comment 4 Kimmo Kinnunen 2021-01-07 01:52:53 PST
Created attachment 417170 [details]
Patch
Comment 5 Kimmo Kinnunen 2021-01-07 08:01:31 PST
(In reply to Chris Dumez from comment #3)
> This seems to be failing the tests.

Sorry, updated and added some tests around the issue.
Comment 6 EWS 2021-01-07 09:04:26 PST
Committed r271237: <https://trac.webkit.org/changeset/271237>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 417170 [details].
Comment 7 Radar WebKit Bug Importer 2021-01-07 09:05:19 PST
<rdar://problem/72891299>